多主体生视频
更新时间:2026-11-04
POST
多主体(多参考)生成视频,在 prompt 中用 @ref_name 引用参考图(后面须有空格,如 @cat plays)。
返回 任务 ID,可通过 任务详情接口查询状态。
使用 TE 北京地域 API Key 鉴权。模型能力、调用约定见 PixVerse 接口概览。
BearerAuthheader
AuthorizationBearer <token>TE 北京地域 API Key,填写后自动添加 Bearer 前缀。
application/json- body
model*stringv4.5、v5、v5.5、v5.6、c1
prompt*string2048 字符以内,引用名须与 image_references[].ref_name 完全一致
quality*string360p、540p、720p、1080p
duration*integerv4.5/v5:5/8;v5.5/v5.6:5/8/10(1080p 不支持 10)
aspect_ratio?string16:9、9:16、4:3、3:4、1:1;c1 另支持 2:3、3:2、21:9
image_references?array<>参考图;v4.5/v5 最多 3 张,v5.5/v5.6/c1 最多 7 张
seed?integer随机种子,0~2147483647
generate_audio_switch?boolean开启音频,仅 v5.6/c1
成功;具体状态及结果见响应字段。
application/json- response
taskId?string任务 ID
requestId?string请求 ID,用于排查
code?string错误码,异常时返回
message?string错误信息,异常时返回
curl -X POST 'https://vod.bj.baidubce.com/v3/aigc/pv/video/fusion/generate' \ -H 'Content-Type: application/json' \ -d '{ "image_references": [ { "type": "subject", "image_url": "https://example.com/person.png", "ref_name": "girl" }, { "type": "background", "image_url": "https://example.com/background.jpeg", "ref_name": "ground" } ], "prompt": "@girl plays at @ground", "model": "v5.6", "duration": 5, "quality": "720p", "aspect_ratio": "16:9", "seed": 123456789, "generate_audio_switch": true}'响应示例200
{ "taskId": "tsk-xxxxxxxxxxxxxxxx", "requestId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"}
